/****************************************************************************
    NL3W netlist utility for BSch3V
    Copyright (C) 2004-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/
#ifndef DLLIFTYPE_H
#define DLLIFTYPE_H

//You need not modify this file to create user type add-in. 

//pin informatin 
struct SExportPinValue{
	const char* pszRefNum;	// Reference number string of part.
	const char* pszPinNum;	// Pin number string.
};

//net information
struct SExportSingleNetValue{
	const char* pszNetName;		//net name string.
	int nPinCount;				//pin count of this net
	SExportPinValue* pArrayPinValue;	//array of pin information
};

typedef SExportSingleNetValue* PSExportSingleNetValue;

//part information
struct SExportComponentInfo{
	const char* pszPrefix;	// prefix string  of part-number.
	int   nSuffix;			// suffix value of part-number.
	const char* pszName;	// part name
	const char* pszPackage;	// package name
};

//typedef SExportComponentInfo* PSExportComponentInfo;

struct SExportNetlistInfo{
	int nComponentInfoCount;	//count  of part information
	SExportComponentInfo* array_CompInfo;	//array of part information

	int nNetValueCount;			//count of net informaiton.
	SExportSingleNetValue* array_NetValue;	//array of net information
};



#endif